	//////////////////////////////////////////////////////////
	//////												//////
	//////				ExtJs Chart						//////
	//////												//////
	//////////////////////////////////////////////////////////

	Ext.chart.Chart.CHART_URL = '/lib/ext/resources/charts.swf';

	//챠트 색상을 같이 수정할 것..
	var colorArr = ["#00b8bf","#0080c0","#ff8000","#ff0000","#8600a8","#00ff00","#80ff00","#0000ff","#809609", "#0e518d", "#8d0e1b", "#e67904","#ffca20","#910f75","#82b638","#a66011"];
	var colorArray = Array(0x00b8bf,0x0080c0,0xff8000,0xff0000,0x8600a8,0x00ff00,0x80ff00,0x0000ff,0x0000ff,0x809609,0x0e518d,0x8d0e1b,0xe67904,0xffca20,0x910f75,0x82b638,0xa66011);


	var store = new Ext.data.JsonStore({
        fields:['name', 'visits', 'views'],
        data: [
            {name:'Jul 07', visits: 245000, views: 3000000},
            {name:'Aug 07', visits: 240000, views: 3500000},
            {name:'Sep 07', visits: 355000, views: 4000000},
            {name:'Oct 07', visits: 375000, views: 4200000},
            {name:'Nov 07', visits: 490000, views: 4500000},
            {name:'Dec 07', visits: 495000, views: 5800000},
            {name:'Jan 08', visits: 520000, views: 6000000},
            {name:'Feb 08', visits: 620000, views: 7500000}
        ]
    });

	function LineChart()
	{
		// extra extra simple
		var linechart = new Ext.Panel({
			width:500,
			height:300,
			layout:'fit',
			items: {
				xtype: 'linechart',
				store: store,
				xField: 'name',
				yField: 'visits',
				listeners: {
					itemclick: function(o){
						var rec = store.getAt(o.index);
						Ext.example.msg('Item Selected', 'You chose {0}.', rec.get('name'));
					}
				}
			}
		});

		return linechart;
	};

	function MakeTip(field,header,record){
		return '('+header[field]+') ' + record.data.name + ' : ' + Ext.util.Format.number(record.data[field], '0,0');
	}
	function MakeSeries(Type,DisplayeName,FieldLableY,FieldLableX,Style){
		return {type: Type,displayName:DisplayeName,yField: FieldLableY,xField:FieldLableX,style:Style};
	}
	function MakeTbar(Title,Seq,TotalInfo,type,ID){
		if(type){
			return {xtype:'button',text:'Setup',id:ID+'_setupBt',handler: function(o) {dashBoardSetupWin();DashBoardItemDataAdd(Seq,TotalInfo);}};
		}else{
			return {xtype:'hidden'};
		}		
	}

	function LineChart3(store,Header,Title,type,ID,Seq,TotalInfo){//실질적으로 쓰이는것. (linechart2)
		var Type='line';
		var series=new Array();
		var i=0;
		for(var item in Header){
			if(item!='name'){
				series.push(MakeSeries(Type,Header[item],item,'',{color:colorArr[i]}));
				i++;
				//series.push(MakeSeries(Type,Header[item],item));
			}
		}
		var linechart =  new Ext.Panel({
			title:(type == true)?false:true,
			border:type,
			id:ID,
			items:[{
				xtype: 'linechart',
				store: store,
				layout:'fit',
				border:false,
				url: '/lib/ext/resources/charts.swf',
				xField: 'name',
				yField: 'value1',
				yLable:  'Num of ',
				yAxis: new Ext.chart.NumericAxis({
					displayName: this.yLable,
					labelRenderer : Ext.util.Format.numberRenderer('0,0')
				}),
				tipRenderer : function(chart, record, index, series){
					var tip= MakeTip(series.yField,Header,record);
					return tip;
				},
				extraStyle: {
					padding: 10,
					animationEnabled: false,
					legend:{
						display:'bottom'
					}
				},
				series: series 
			}],
			tbar:[{
				xtype:'label',
				text:Title
			},'->',{
				xtype:'button',
				id:ID+'_plusBt',
				iconCls: 'icon-plus',
				handler: function(o) {					
					//alert(ID);
					DashBoardChartLarge(store,Header,Title,type,ID,Seq,TotalInfo,'LineChart2');
				}
			},' ',{
				xtype:'button',
				text:'Setup',
				id:ID+'_setupBt',
				handler: function(o) {					
					dashBoardSetupWin();
					DashBoardItemDataAdd(Seq,TotalInfo);
				}
			}]
		});

		return linechart;
	};

	function LineChart2(Title,Width,Height,Store,yLable)
	{
		// extra simple
		var linechart = new Ext.Panel({
			iconCls:'chart',			
			frame:true,
			//renderTo: 'container',
			width:Width,
			height:Height,
			layout:'fit',
			items: {
				xtype: 'linechart',
				store: Store,
				url: '/lib/ext/resources/charts.swf',
				xField: 'name',
				yField: 'value1',
				yAxis: new Ext.chart.NumericAxis({
					displayName: yLable,
					labelRenderer : Ext.util.Format.numberRenderer('0,0')
				}),
				tipRenderer : function(chart, record){
					return Ext.util.Format.number(record.data.value1, '0,0') +yLable+' in ' + record.data.name;
				},
				series: [{
					type: 'line',
					displayName: 'new',
					yField: 'value1',
					style: {
						image:'bar.gif',
						mode: 'stretch',
						color:0x99BBE8
					}
				},{
					type:'line',
					displayName: 'open',
					yField: 'value2',
					style: {
						color: 0x15428B
					}
				},{
					type:'line',
					displayName: 'close',
					yField: 'value3',
					style: {
						color: 0x8b4315
					}
				}]

			}
	    });

		return linechart;
	};

	function ColumnChart(store,Header)//실질적으로 쓰이는것.
	{
		// more complex with a custom look
		var columnchart = new Ext.Panel({
			iconCls:'chart',			
			frame:true,
			//renderTo: 'container',
			width:500,
			height:300,
			layout:'fit',
			items: {
				xtype: 'columnchart',
				store: store,
				url:'/lib/ext/resources/charts.swf',
				xField: 'name',
				yAxis: new Ext.chart.NumericAxis({
					displayName: 'Visits',
					labelRenderer : Ext.util.Format.numberRenderer('0,0')
				}),
				tipRenderer : function(chart, record, index, series){
					if(series.yField == 'visits'){
						return Ext.util.Format.number(record.data.visits, '0,0') + ' visits in ' + record.data.name;
					}else{
						return Ext.util.Format.number(record.data.views, '0,0') + ' page views in ' + record.data.name;
					}
				},
				chartStyle: {
					padding: 10,
					animationEnabled: false,
					font: {
						name: 'Tahoma',
						color: 0x444444,
						size: 11
					},
					dataTip: {
						padding: 5,
						border: {
							color: 0x99bbe8,
							size:1
						},
						background: {
							color: 0xDAE7F6,
							alpha: .9
						},
						font: {
							name: 'Tahoma',
							color: 0x15428B,
							size: 10,
							bold: true
						}
					},
					xAxis: {
						color: 0x69aBc8,
						majorTicks: {color: 0x69aBc8, length: 4},
						minorTicks: {color: 0x69aBc8, length: 2},
						majorGridLines: {size: 1, color: 0xeeeeee}
					},
					yAxis: {
						color: 0x69aBc8,
						majorTicks: {color: 0x69aBc8, length: 4},
						minorTicks: {color: 0x69aBc8, length: 2},
						majorGridLines: {size: 1, color: 0xdfe8f6}
					}
				},
				series: [{
					type: 'column',
					displayName: 'Page Views',
					yField: 'views',
					style: {
						image:'bar.gif',
						mode: 'stretch',
						color:0x99BBE8
					}
				},{
					type:'line',
					displayName: 'Visits',
					yField: 'visits',
					style: {
						color: 0x15428B
					}
				}]
			}
		});

		return columnchart;
	};
	
	/*function PieChart(title,width,height,store,dataField,categoryField,border,ID)//기본데이터 파이차트
	{
		var pieChart = new Ext.Panel({
			width: width,
			height: height,	
			id:ID,			
			border:border,
			items: [{
				store: store,
				xtype: 'piechart',
				dataField: dataField,
				categoryField: categoryField,
								
				tipRenderer : function(chart, record, index, series){
					return record.data.name + ' : ' + record.data.value1;
				},
				extraStyle:
				{
					legend:
					{
						display: 'bottom',
						padding: 5,
						font:
						{
							family: 'Tahoma',
							size: 13
						}
					}
				}
			}],
			tbar:[{
				xtype:'label',
				text:title
			},'->',{
				xtype:'button',
				id:ID+'_plusBt',
				iconCls: 'icon-plus',
				handler: function(o) {					
					//alert(ID);
					DashBoardChartLarge(store,Header,title,false,ID,'','','PieChart');
				}
			}]
		});

		return pieChart;
	};*/


	/*function PieChart(store,Header,Title,type,ID,Seq,TotalInfo,width,height)
	{
		var pieChart = new Ext.Panel({
			width: width,
			height: height,	
			id:ID,			
			border:true,
			items: [{
				store: store,
				xtype: 'piechart',
				dataField: 'value1',
				categoryField: 'name',
								
				tipRenderer : function(chart, record, index, series){
					return record.data.name + ' : ' + record.data.value1;
				},
				extraStyle:
				{
					legend:
					{
						display: 'bottom',
						padding: 5,
						font:
						{
							family: 'Tahoma',
							size: 13
						}
					}
				}
			}],
			tbar:[{
				xtype:'label',
				text:Title
			},'->',{
				xtype:'button',
				id:ID+'_plusBt',
				iconCls: 'icon-plus',
				handler: function(o) {
					DashBoardChartLarge(store,Header,Title,false,ID,'','','DefaultPieChart');
				}
			}]
		});

		return pieChart;
	};*/
	
	function PieChart2(store,Header,Title,type,ID,Seq,TotalInfo,width,height)
	{
		var dataField = "value1";
		var categoryField = "name";
		
		var tbar = new Array();
		if(type == true){
			tbar.push(MakeTbar(Title,Seq,TotalInfo,true,ID));
		}else{
			tbar.push(MakeTbar(Title,Seq,TotalInfo,false,ID));
		}
		var chart = new Ext.Panel({
			width:width,
			height:height,			
			border:true,
			id:ID,
			items: [{
				store: store,
				xtype: 'piechart',
				dataField: dataField,
				categoryField: categoryField,
				colorField : 'value1',
				tipRenderer : function(chart, record, index, series){
					return record.data.name + ' : ' + record.data.value1;
				},
				extraStyle:
				{
					legend:
					{
						display: 'bottom',
						padding: 5,
						font:
						{
							family: 'Tahoma',
							size: 13
						}
					}
				},
				//series: series
				series: [{
					style: {
						colors: colorArr
					}
				}]
			}],
			tbar:[{xtype:'label',text:Title},'->',{
				xtype:'button',
				id:ID+'_plusBt',
				iconCls: 'icon-plus',
				handler: function(o) {					
					DashBoardChartLarge(store,Header,Title,type,ID,Seq,TotalInfo,'PieChart');
				}
			},' ',tbar]
		});

		return chart;
	};

	function StackedBarChart(store,Header,Title,type,ID,Seq,TotalInfo)//kslovee
	{
		var Type='column';
		var series=new Array();
		var i=0;
		for(var item in Header){
			if(item!='name'){
				series.push(MakeSeries('',Header[item],'',item,{color:colorArr[i]}));
				i++;
				//series.push(MakeSeries('',Header[item],'',item));
			}
		}
		var tbar = new Array();
		if(type == true){
			tbar.push(MakeTbar(Title,Seq,TotalInfo,true,ID));
		}else{
			tbar.push(MakeTbar(Title,Seq,TotalInfo,false,ID));
		}
		var chart =  new Ext.Panel({			
			border:type,
			id:ID,
			items:[{
				xtype:'stackedbarchart',
				store: store,
				yField: 'name',//year
				xAxis: new Ext.chart.NumericAxis({
					stackingEnabled: true
				}),
				tipRenderer : function(chart, record, index, series){
					var tip= MakeTip(series.xField,Header,record);
					return tip;	
				},				
				extraStyle: {
					padding: 10,
					animationEnabled: false,
					legend:{
						display:'bottom'
					}
				},
				series: series
			}],
			tbar:[{xtype:'label',text:Title},'->',{
				xtype:'button',
				id:ID+'_plusBt',
				iconCls: 'icon-plus',
				handler: function(o) {					
					DashBoardChartLarge(store,Header,Title,type,ID,Seq,TotalInfo,'StackedBarChart');
				}
			},' ',tbar]
		});
		
		return chart;
	};


	function ColumnChart2(store,Header,Title,type,ID,Seq,TotalInfo)
	{
		var Type='column';
		var series=new Array();
		var i=0;
		for(var item in Header){
			if(item!='name'){
				series.push(MakeSeries(Type,Header[item],item,'',{color:colorArr[i]}));
				i++;
			}
		}

		var tbar = new Array();
		if(type == true){
			tbar.push(MakeTbar(Title,Seq,TotalInfo,true,ID));
		}else{
			tbar.push(MakeTbar(Title,Seq,TotalInfo,false,ID));
		}

		var chart =  new Ext.Panel({		
			border:type,
			id:ID,
			items:[{
				xtype:'columnchart',
				store: store,
				url: '/lib/ext/resources/charts.swf',
				xField: 'name',
				yField: 'value1',
				yLable:  'Num of ',
				yAxis: new Ext.chart.NumericAxis({
					displayName: this.yLable,
					labelRenderer : Ext.util.Format.numberRenderer('0,0')
				}),
				tipRenderer : function(chart, record, index, series){					
					var tip= MakeTip(series.yField,Header,record);
					return tip;					
				},
				extraStyle: {
					padding: 10,
					animationEnabled: false,
					legend:{
						display:'bottom'
					}
				},				
				series:series
			}],
			tbar:[{xtype:'label',text:Title},'->',{
				xtype:'button',
				id:ID+'_plusBt',
				iconCls: 'icon-plus',
				handler: function(o) {					
					DashBoardChartLarge(store,Header,Title,type,ID,Seq,TotalInfo,'ColumnChart');
				}
			},' ',tbar]
		});		
		return chart;
	}

	function PlotChart(store,Header,Title,type,ID,Seq,TotalInfo)//작은원으로 이루어진 챠트
	{
		var Type='line';
		var series=new Array();
		var style = {size: 7,connectPoints:false,color:colorArray[0]};
		var styleArray =new Array();

	
		styleArray.push(style);
		var i;
		for(i=1;i<colorArray.length;i++)
			styleArray.push({size:7,connectPoints:false,color:colorArray[i]});


		var i=0;
		for(var item in Header){
			if(item!='name')
			{
				if(typeof styleArray[i]!='undefined')
					series.push(MakeSeries(Type,Header[item],item,'',styleArray[i]));
				else
					series.push(MakeSeries(Type,Header[item],item,'',style));
				//series.push(MakeSeries(Type,Header[item],item,'',{size:7,connectPoints:false,color:colorArr[i]}));
			i++;
			}	


		}
		var tbar = new Array();
		if(type == true){
			tbar.push(MakeTbar(Title,Seq,TotalInfo,true,ID));
		}else{
			tbar.push(MakeTbar(Title,Seq,TotalInfo,false,ID));
		}
		var chart =  new Ext.Panel({			
			border:type,
			id:ID,
			items:[{
				xtype:'linechart',				
				store: store,
				xField: 'name',
				yAxis: new Ext.chart.NumericAxis({
					displayName: Header.value2,
					labelRenderer : Ext.util.Format.numberRenderer('0,0')
				}),
				tipRenderer : function(chart, record, index, series){
					var tip= MakeTip(series.yField,Header,record);
					return tip;	
				},
				extraStyle: {
					padding: 10,
					animationEnabled: false,
					legend:{
						display:'bottom'
					},
					xAxis: {
						color: 0x3366cc,
						majorGridLines: {size: 1, color: 0xdddddd}
					},
					yAxis: {
						color: 0x3366cc,
						majorTicks: {color: 0x3366cc, length: 4},
						minorTicks: {color: 0x3366cc, length: 2},
						majorGridLines: {size: 1, color: 0xdddddd}
					}
				},
				series: series
			}],
			tbar:[{xtype:'label',text:Title},'->',{
				xtype:'button',
				id:ID+'_plusBt',
				iconCls: 'icon-plus',
				handler: function(o) {					
					DashBoardChartLarge(store,Header,Title,type,ID,Seq,TotalInfo,'PlotChart');
				}
			},' ',tbar]
		});
		
		return chart;
	}
		
	function StarChart(Store,Header,Title,type,ID,Seq,TotalInfo)//실질적으로 쓰이는것.
	{
		var series=new Array();
		var i=0;
		var styleArray =new Array();
		var style1= {
					 size : 7,
					 color:0x00b8bf
					};

		//styleArray.push({});
		styleArray.push(style1);
		for(i=1;i<colorArray.length;i++)
			styleArray.push({color:colorArray[i]});

		i=0;
		for(var item in Header){
			if(item!='name'){				
				if(typeof styleArray[i]!='undefined'){					
					series.push(MakeSeries(((i==0)?'column':'line'),Header[item],item,'',styleArray[i]));
					//series.push(MakeSeries(((i==1)?'column':'line'),Header[item],item,'',{color:colorArr[i]}));
				}else{					
					series.push(MakeSeries(((i==0)?'column':'line'),Header[item],item));
				}
				//series.push(MakeSeries(((i==1)?'column':'line'),Header[item],item,'',{color:colorArr[i]}));
			i++;
			}	

		}

		var tbar = new Array();
		if(type == true){
			tbar.push(MakeTbar(Title,Seq,TotalInfo,true,ID));
		}else{

			tbar.push(MakeTbar(Title,Seq,TotalInfo,false,ID));
		}

		var chart =  new Ext.Panel({			
			border:type,
			id:ID,
			layout:'fit',
			items:[{				
				xtype:'linechart',				
				store: Store,
				xField: 'name',
				yAxis: new Ext.chart.NumericAxis({
					//displayName: 'value1',
					//labelRenderer: Ext.util.Format.numberRenderer('0,0')
				}),
				tipRenderer : function(chart, record, index, series){
					var tip= MakeTip(series.yField,Header,record);
					return tip;
				},
				
				extraStyle: {
					padding: 5,
					animationEnabled: false,
					font: {
						name: 'Tahoma',
						color: 0x444444,
						size: 11
					},
					legend: {
						display: 'bottom'
					},
					dataTip: {
						padding: 5,
						border: {
							color: 0x99bbe8,
							size: 1
						},
						background: {
							color: 0xDAE7F6,
							alpha: .9
						},
						font: {
							name: 'Tahoma',
							color: 0x15428B,
							size: 10,
							bold: true
						}
					},
					xAxis: {
						color: 0x69aBc8,
						majorTicks: { color: 0x69aBc8, length: 4 },
						minorTicks: { color: 0x69aBc8, length: 2 },
						majorGridLines: { size: 1, color: 0xeeeeee }
					},
					yAxis: {
						color: 0x69aBc8,
						majorTicks: { color: 0x69aBc8, length: 4 },
						minorTicks: { color: 0x69aBc8, length: 2 },
						majorGridLines: { size: 1, color: 0xdfe8f6 }
					}
				},
				series: series
			}],
			tbar:[{xtype:'label',text:Title},'->',{
				xtype:'button',
				id:ID+'_plusBt',
				iconCls: 'icon-plus',
				handler: function(o) {
					DashBoardChartLarge(Store,Header,Title,type,ID,Seq,TotalInfo,'StarChart');
				}
			},' ',tbar]
		});
		return chart;
	};