function riskFactorCreate(userSeq,domainSeq,riskFactorTypeSeq)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=create_riskfactor',
		method: 'POST',
		params :{
			Register : userSeq,
			DomainSeq : domainSeq,
			RiskFactorTypeSeq : riskFactorTypeSeq
		},
		success: function ( result, request ) {
			if(riskFactorTypeSeq == 1){
				updateRiskFactorImpactGridPanel.getStore().reload();
			}else if(riskFactorTypeSeq == 2){
				updateRiskFactorLikelihoodGridPanel.getStore().reload();
			}
		},
		failure: function ( result, request ) {
		}
	});

}

function riskFactorUpdate(riskFactorSeq,name,description,weight,RiskFactorType)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=update_riskfactor',
		method: 'POST',
		params :{
			RiskFactorSeq : riskFactorSeq,
			Name : name,
			Description : description,
			Weight : weight
		},
		success: function ( result, request ) {
			if(RiskFactorType == 1){
				updateRiskFactorImpactGridPanel.getStore().reload();
			}else if(RiskFactorType == 2){
				updateRiskFactorLikelihoodGridPanel.getStore().reload();
			}
		},
		failure: function ( result, request ) {
			Ext.Msg.alert("Failure"); 
		}
	});
}

function riskFactorDelete(riskFactorSeq, riskFactorTypeSeq)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=delete_riskfactor',
		method: 'POST',
		params :{
			DataList : riskFactorSeq
		},
		success: function ( result, request ) {
			if(riskFactorTypeSeq == 1){
				updateRiskFactorImpactGridPanel.getStore().reload();
			}else if(riskFactorTypeSeq == 2){
				updateRiskFactorLikelihoodGridPanel.getStore().reload();
			}
		},
		failure: function ( result, request ) {
			Ext.Msg.alert("Failure"); 
		}
	});
}


// POP

riskFactorUpdateWin = function(domainSeq, riskFactorSeq){

	Ext.Ajax.request({
		url: '/service/tpms_proc.php?method=getRiskFactorInfo',
		method: 'POST',
		params :{
			DomainSeq : domainSeq, 
			RiskFactorSeq : riskFactorSeq
		},
		success : function(resp, opt){
			var renderData = Ext.decode(resp.responseText).data[0];			
			Ext.getCmp('riskFactor-name').setValue(my_unescape(renderData.name));
			Ext.getCmp('riskFactor-description').setValue(my_unescape(renderData.description).replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/\\\\/gi,'\\'));
			
			Ext.getCmp('riskFactor-weight').setValue(renderData.weight);
			Ext.getCmp('riskFactor-register').setValue(renderData.register);
			Ext.getCmp('riskFactor-regDate').setValue(renderData.regDate);
			Ext.getCmp('riskFactorInfoPanel-form').doLayout();
		},
		failure: function ( result, request ) {
			Ext.Msg.alert("","Failure"); 
		}
	});

//============ 글자 입력 제한시 side 경고 알림
	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';

//============


	var riskFactorInfoPanel = {
		xtype: 'form',
		id: 'riskFactorInfoPanel-form',
		//width: 100,
		height: 315,
		bodyStyle: 'padding: 5 0 5 5;',
		items:[{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskFactor,
			maxLength: Config.subjectTypeMaxLength,
			allowBlank : false,
			id: 'riskFactor-name',
			anchor:'95%'
			,listeners:{
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus : function(){enableSelect(true);}
			}
		},{
			xtype: 'textarea',
			fieldLabel: TPMS_lang_riskFactor_description,
			id: 'riskFactor-description',
			maxLength: Config.descriptionTypeMaxLength,
			anchor:'95%',
			style: {
				width: '95%',
				height: 160//,
				//marginBottom: '10px'
			}
			,listeners:{
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus : function(){enableSelect(true);}
			}
		},{
			xtype:'compositefield',
			fieldLabel: TPMS_lang_riskFactor_weight,
			anchor:'95%',
			items: [{
					xtype: 'numberfield',
					allowBlank : false, 
					enableKeyEvents : true, 
					id:'riskFactor-weight', 
					name: 'riskFactor-weight', 
					value : 1,
					minValue : 0.005,
					maxValue : 2,
					width: 50, 
					listeners:{
						scope : this,
						blur : function(datefield){
							enableSelect(false);
							datefield.setValue(datefield.getValue().trim());
						},
						focus : function(){enableSelect(true);}
					}
				},
				{xtype: 'displayfield', value: '<div id=\"riskFactor_weight\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'riskFactor_weight\',\'left\',200,\''+TPMS_lang_toolTip_msg_riskFactor_weight+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'}
			]
		},{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskFactor_creater,
			id: 'riskFactor-register',
			onFocus: function(){this.blur();},
			readOnly : true,
			anchor:'95%'
		},{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskFactor_createdDate,
			id: 'riskFactor-regDate',
			onFocus: function(){this.blur();},
			readOnly : true,
			anchor:'95%'
		},{
			//xtype:'textfield',
			xtype:'hidden',
			fieldLabel: TPMS_lang_updateDate,
			id: 'riskFactor-updateDate',
			onFocus: function(){this.blur();},
			readOnly : true,
			anchor:'95%'
		}]
	};

	var centerPanel = {
		region: 'center',
		xtype: 'panel',
        id: 'riskFactorUpdate-center',		
        border: false,
		bodyStyle:'padding:5px;',
		items: [
			riskFactorInfoPanel
			],
		tbar: [//{text: '리스크 펙터 수정'},
			'->', {
			xtype: 'button',
			id: 'insert',
			iconCls: 'icon-save',
			text: TPMS_lang_button_save,
			handler: function() {
				//Ext.Msg.alert("","저장");
				var name = Ext.getCmp('riskFactor-name').getValue();
				var description = Ext.getCmp('riskFactor-description').getValue();
				var weight = Ext.getCmp('riskFactor-weight').getValue();

				if(name.length > Config.subjectTypeMaxLength){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength40);
					return;
				}else if(name.length == 0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_common_title + TPMS_lang_Msg_validationMsg);
					return;
				}
				if(description.length > Config.descriptionTypeMaxLength){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength1000);
					return;
				}

				if(weight > 2 || weight < 0.005){					
					Ext.Msg.alert(TPMS_lang_riskFactor_weight,TPMS_lang_riskfactorWeight);
					//Ext.getCmp('riskFactor-weight').setValue(1);
					return;
				}
		
				riskFactorUpdate(riskFactorSeq,name,description,weight,2);

				//Ext.getCmp('updateRiskFactorImpact-button').enable();
				Ext.getCmp('updateRiskFactorLikelihood-button').enable();
				seletWin.close();
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-cancel',
			text: TPMS_lang_button_cancel,
			handler: function() {
				if(Ext.getCmp('riskFactorUpdate-center')){

					//Ext.getCmp('updateRiskFactorImpact-button').enable();
					Ext.getCmp('updateRiskFactorLikelihood-button').enable();
					seletWin.close();
				}
			}
        }]
	};


	var seletWin = new Ext.Window({
		title: TPMS_lang_factor+"("+RiskAnalysisObject.FI[0].name+")",//TPMS_lang_riskFactor_update+'(Likelihood)',
		id: 'riskFactorLikelihoodUpdate-win',
		closable:true,
		width:500,
		height:380,
		border:false,
		plain:true,
		layout: 'border',
		resizable: false, //Resize of the Window, if false - it cannot be resized
		closable: false,
		items: [centerPanel]
	});

	seletWin.show(this);

};


// 중복 방지?2
riskFactorUpdateWin2 = function(domainSeq, riskFactorSeq){

	Ext.Ajax.request({
		url: '/service/tpms_proc.php?method=getRiskFactorInfo',
		method: 'POST',
		params :{
			DomainSeq : domainSeq, 
			RiskFactorSeq : riskFactorSeq
		},
		success : function(resp, opt){
			var renderData = Ext.decode(resp.responseText).data[0];
			Ext.getCmp('riskFactor2-name').setValue(renderData.name);
			Ext.getCmp('riskFactor2-description').setValue(renderData.description.replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/\\\\/gi,'\\'));
			
			Ext.getCmp('riskFactor2-weight').setValue(renderData.weight);
			Ext.getCmp('riskFactor2-register').setValue(renderData.register);
			Ext.getCmp('riskFactor2-regDate').setValue(renderData.regDate);
			Ext.getCmp('riskFactorInfoPanel2-form').doLayout();
		},
		failure: function ( result, request ) {
			Ext.Msg.alert("","Failure"); 
		}
	});

	//============ 글자 입력 제한시 side 경고 알림
	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';

//============


	var riskFactorInfoPanel2 = {
		xtype: 'form',
		id: 'riskFactorInfoPanel2-form',
		//width: 100,
		height: 315,
		bodyStyle: 'padding: 5 0 5 5;',
		items:[{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskFactor,
			maxLength: Config.subjectTypeMaxLength,
			allowBlank : false,
			id: 'riskFactor2-name',
			anchor:'95%'
			,listeners:{
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus : function(){enableSelect(true);}
			}
		},{
			xtype: 'textarea',
			fieldLabel: TPMS_lang_riskFactor_description,
			id: 'riskFactor2-description',
			maxLength: Config.descriptionTypeMaxLength,
			anchor:'95%',
			style: {
				width: '95%',
				height: 160//,
				//marginBottom: '10px'
			}
			,listeners:{
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus : function(){enableSelect(true);}
			}
		},{
			xtype:'compositefield',
			fieldLabel: TPMS_lang_riskFactor_weight,
			anchor:'95%',
			items: [{
					xtype: 'numberfield',
					allowBlank : false, 
					enableKeyEvents : true, 
					value : 1,
					minValue : 0.005,
					maxValue : 2,
					id:'riskFactor2-weight', 
					name: 'riskFactor2-weight', 
					width: 50, 
					listeners:{
						scope : this,
						blur : function(datefield){
							enableSelect(false);
							datefield.setValue(datefield.getValue().trim());
						},
						focus : function(){enableSelect(true);}
					}
				},
				{
					xtype: 'displayfield', 
					value: '<div id=\"riskFactor2_weight\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'riskFactor2_weight\',\'left\',200,\''+TPMS_lang_toolTip_msg_riskFactor_weight+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'
				}
			]
		},{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskFactor_creater,
			id: 'riskFactor2-register',
			onFocus: function(){this.blur();},
			readOnly : true,
			anchor:'95%'
		},{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskFactor_createdDate,
			id: 'riskFactor2-regDate',
			onFocus: function(){this.blur();},
			readOnly : true,
			anchor:'95%'
		},{
			xtype:'hidden',
			fieldLabel: TPMS_lang_updateDate,
			id: 'riskFactor2-updateDate',
			onFocus: function(){this.blur();},
			readOnly : true,
			anchor:'95%'
		}]
	};

	var centerPanel2 = {
		region: 'center',
		xtype: 'panel',
        id: 'riskFactorUpdate2-center',		
        border: false,
		bodyStyle:'padding:5px;',
		items: [
			riskFactorInfoPanel2
			],
		tbar: [//{text: '리스크 펙터 수정'},
			'->', {
			xtype: 'button',
			id: 'insert2',
			iconCls: 'icon-save',
			text: TPMS_lang_button_save,
			handler: function() {

				var name = Ext.getCmp('riskFactor2-name').getValue();
				var description = Ext.getCmp('riskFactor2-description').getValue();
				var weight = Ext.getCmp('riskFactor2-weight').getValue();

				if(name.length > Config.subjectTypeMaxLength){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength40);
					return;
				}else if(name.length == 0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_common_title + TPMS_lang_Msg_validationMsg);
					return;
				}
				if(description.length > Config.descriptionTypeMaxLength){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength1000);
					return;
				}
				if(weight > 2 || weight < 0.005){					
					Ext.Msg.alert(TPMS_lang_riskFactor_weight,TPMS_lang_riskfactorWeight);
					//Ext.getCmp('riskFactor-weight').setValue(1);
					return;
				}
				riskFactorUpdate(riskFactorSeq,name,description,weight,1);

				Ext.getCmp('updateRiskFactorImpact-button').enable();
				//Ext.getCmp('updateRiskFactorLikelihood-button').enable();
				seletWin2.close();
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-cancel',
			text: TPMS_lang_button_cancel,
			handler: function() {
				if(Ext.getCmp('riskFactorUpdate2-center')){

					Ext.getCmp('updateRiskFactorImpact-button').enable();
					//Ext.getCmp('updateRiskFactorLikelihood-button').enable();
					seletWin2.close();
				}
			}
        }]
	};


	var seletWin2 = new Ext.Window({
		title: TPMS_lang_factor+"("+RiskAnalysisObject.FI[1].name+")",//TPMS_lang_riskFactor_update+'(Impact)',
		id: 'riskFactorImpactUpdate-win',
		closable:true,
		width:500,
		height:380,
		border:false,
		plain:true,
		layout: 'border',
		resizable: false, //Resize of the Window, if false - it cannot be resized
		closable: false,
		items: [centerPanel2]
	});

	seletWin2.show(this);
};