
RiskRankPop = function(domainSeq, userSeq) {
	//alert(flag);
    this.domainSeq = domainSeq ; 
    this.userSeq = userSeq;
    
    //버전 콤보 데이터 
    this.versionSeq= "";
    
    if (Ext.getCmp('riskAnalyseViewStaus') != undefined) {
        this.versionSeq = Ext.getCmp('riskAnalyseViewStaus').getValue();
    }
    
    var id = Ext.id();

    if (this.RiskRankPopWin) {
		this.RiskRankPopWin.show();
		return;
	}

    var riskRankPopGridStore = new Ext.data.JsonStore({
        url: '/service/tpms_proc.php?method=getRiskItemOrderedList',
        params: {
			DomainSeq: this.domainSeq,
			VersionSeq: this.versionSeq,
			AnalysesSeq: UserInfo.AnalysesSeq
        },
        root: 'data',
        totalProperty: 'totalCount',
        idProperty: 'riskItemSeq',
        remoteSort: true,
        fields: [
            'riskItemSeq', 'riskItemName', 'Value'
        ],
        listeners: {
            scope: this,
            loadexception: function(store) {
        		//TPMS.util.errorAlert(TPMS.sys.name , TPMS.locale.riskAnlyseMsg.riskAnlyseViewError );
            },
            load : function(s, dr, options) {
                if(s.reader.jsonData.success){
            	        riskRankPopWin.show();
        	    }else{
        	         if(s.reader.jsonData.msg !=""){
                        //TPMS.util.errorAlert(TPMS.sys.name, s.reader.jsonData.msg + TPMS.locale.commonLabel.errorCode + s.reader.jsonData.errorCode );
                    }else{
                        //TPMS.util.errorAlert(TPMS.sys.name,TPMS.locale.riskAnlyseMsg.rankErrorMsg + TPMS.locale.commonLabel.errorCode + s.reader.jsonData.errorCode );
                    }
        	    }
            }
        }
    }); //

    //riskRankPopGridStore.load();

    var riskRankPopGrid = new Ext.grid.GridPanel({
        id: id + 'risk-rank-pop-grid',
        border: true,
        
        ds: riskRankPopGridStore,
        autoScroll: true,
        viewConfig: { autoFill:true, forceFit: true},
        height: 250,
        columns: [
            {header: TPMS_lang_rankNumber, sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
            { header: TPMS_lang_riskAnlyse_riksItemName, dataIndex: 'riskItemName', align: 'left', width: 100,renderer:my_unescape },
            { header: TPMS_lang_riskAnlyse_riskItemValue, dataIndex: 'Value', width: 100, align: 'center', renderer: this.valueRender }
        ]
    });

    var riskRankPopWin = new Ext.Window({
        id: id + 'risk-rank-pop-win',
        width: 350,
        minWidth: 350,
        resizable: false,
        layout:'fit',
        title: TPMS_lang_risk+' '+TPMS_lang_riskAnlyse_riskRankingList,
        height: 300,
        minHeight: 300,
        closeAction: 'hide',
		closable: false,
        modal:true,
        items: [riskRankPopGrid],
        tbar: [
    		'->',
    		{
    		    text: TPMS_lang_button_close,
				iconCls:'icon-cancel',
    		    handler: function() {
    		        riskRankPopWin.hide();
    		    }
        }],
        listeners: {
            scope: this,
            beforeshow: function(w) {

				Ext.getCmp(id + 'risk-rank-pop-grid').store.load({
					params : { 
						DomainSeq: this.domainSeq,
						VersionSeq: this.versionSeq,
						AnalysesSeq: UserInfo.AnalysesSeq
					 }
				});               
                    
            }
        }
    })
    
    this.RiskRankPopWin = riskRankPopWin;
    this.RiskRankPopWin.show();

}

valueRender = function(str, m, r){
	str = ""+str+"";
	var idx = str.indexOf('.');
	sosuValue = str.substring(idx);
	str = str.substring(0, idx);
    var retValue = "";
    for(i=0; i<str.length; i++)
    {
            if(i > 0 && (i%3)==0) {
                    retValue = str.charAt(str.length - i -1) + "," + retValue;
             } else {
                    retValue = str.charAt(str.length - i -1) + retValue;
            }
    }
    
    return Math.round(retValue + sosuValue);
}

 
