function memberGroupDelete(memberGroupListSeq)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=deleteDomainMemberGroup',
		method: 'POST',
		params :{
			DataList : memberGroupListSeq
		},
		success: function ( result, request ) {
			var r = Ext.decode(result.responseText);
				if(r.success==false) Ext.Msg.alert(r.msg_type,r.msg);
				else{
					//alert(result.responseText);
				}
			//result에 따라 값을 어떻게 할지를 판단하자.
			if(r.msg == 'member'){
				Ext.Msg.alert(TPMS_lang_Msg_selectError,TPMS_lang_user_Msg_userGroup_notDel); 
			}else if(r.msg == 'defaultGroup'){
				Ext.Msg.alert(TPMS_lang_Msg_selectError,TPMS_lang_user_Msg_defaultGroup_notDel); 
			}

			memberGroupGridPanel.getStore().reload();
		},
		failure: function ( result, request ) {
			//Ext.Msg.alert("삭제 실패"); 
		}
	});
}
function memberDelete(memberListSeq)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=deleteMember',
		method: 'POST',
		params :{
			DataList : memberListSeq
		},
		success: function ( result, request ) {
			var r = Ext.decode(result.responseText);
				if(r.success==false) Ext.Msg.alert(r.msg_type,r.msg);
				else{
					//alert(result.responseText);
				}
			if(r.msg == 'admin'){
				Ext.Msg.alert(TPMS_lang_Msg_selectError,TPMS_lang_user_Msg_admin_notDel);
			}
			memberGridPanel.getStore().reload();
			memberGroupGridPanel.getStore().reload();
		},
		failure: function ( result, request ) {
			//Ext.Msg.alert("삭제 실패"); 
		}
	});
}

//////////////////////////////////////////////////////////
//////												//////
//////		       Store 정보 시작					//////
//////												//////
//////////////////////////////////////////////////////////
var memberGroupStore = new Ext.data.Store({
	proxy: new Ext.data.HttpProxy({
		url: '/service/tpms_proc.php?method=getMemberGroupList'
	}),
	reader: new Ext.data.JsonReader({fields : ['sid','name','cnt'],root:'data'})
	,autoLoad : true
});

var memberStore = new Ext.data.Store({
	proxy: new Ext.data.HttpProxy({
		url: '/service/tpms_proc.php?method=getMemberList2'
	}),
	reader: new Ext.data.JsonReader({
	root:'data',
	id:'seq'
	}, [
		'seq',
		'nick_name',
		'group_sid',
		'group_name',
		'ID',
		'email',
		'reg_date',
		'description'
	]),
	autoLoad:true
});
//memberStore.load({params:{Start:0, Limit:10}});

				
//////////////////////////////////////////////////////////
//////												//////
//////		  레이어 팝업 시작 (group)				//////
//////												//////
//////////////////////////////////////////////////////////
var memberGroupPopupWin = function(id,name,seq,type){	
	isLoaded=false;
	var winName = name+'-Win';
	if(Ext.getCmp(winName)){
		Ext.getCmp(winName).close(true);
	}
	
	ajax = function(tmpMethod,tmpParams,id){
		Ext.Ajax.request({
			url : '/service/tpms_proc.php?method='+tmpMethod,
			method: 'POST',
			params : tmpParams ,
			success: function ( result, request ) {

				var r=Ext.decode(result.responseText);
				if(r.success==false){
					Ext.Msg.alert(r.msg_type,r.msg);
				}
				updateItemWin.close();
				isLoaded=false;
				
				Ext.getCmp('createUserGroup-button').enable(true);
				Ext.getCmp('updateUserGroup-button').enable(true);

				Ext.getCmp(id).getStore().reload({
					scope:this,
					callback:function() {						
						var store=Ext.getCmp(id).getStore().data.items;
						for(var i=0;i<store.length;i++){
							if(store[i].json.sid==seq){
								memberGroupGridPanel.getView().focusRow(i);
								memberGroupGridPanel.getSelectionModel().selectRow(i);
								break;
							}
						}
					}
				});
			},
			failure: function ( result, request ) {
				Ext.Msg.alert(TPMS_lang_MsgFailure); 
			}
		});

	};
	
	
	var tmpParams = {};
	
//============ 글자 입력 제한시 side 경고 알림
	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';
//============

	var centerPanel = {
		region: 'center',
		//id: (id == 'strategyLevelPanel')? 'strategyLevel-center':'strategyItem-center',
		id:'memberGroup-center',
		layout: 'form',
		bodyStyle:'padding:20px;',
		height: 200,
		items: [{
			xtype:'textfield',
			fieldLabel: TPMS_lang_user_department,
			id: name+'-name',
			maxLength: Config.subjectTypeMaxLength,
			allowBlank : false,
			anchor:'90%',
			
			listeners:{
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus: function(){enableSelect(true);}
			}
		}]
	};

	var updateItemWin = new Ext.Window({
		title: name,		
		id: name+'-Win',
		modal:true,
		width:500,
		height:150,
		border:false,
		layout: 'border',
		resizable: false, //Resize of the Window, if false - it cannot be resized
		closable: false,
		items: [centerPanel],
		tbar:['->', {
		xtype: 'button',
		id:name+'-save',
		iconCls: 'icon-save',
		text: TPMS_lang_button_save,
		handler: function(btn) {
			if(updateItemWin){
				btn.disable();
				var tmpMethod = '';
				if(id == 'memberGroupGridPanel' && type=='update'){
					tmpMethod = 'updateMemberGroup';
					tmpParams = {GroupSid : seq };
					tmpParams.Name = Ext.getCmp( name+'-name').getValue().replace(/</g,'&lt;').replace(/>/g,'&gt;');
										
					if(tmpParams.Name.length > Config.subjectTypeMaxLength){
						Ext.Msg.alert(TPMS_lang_user_department,TPMS_lang_Msg_maxLength40);
						Ext.getCmp(name+'-save').enable(true);
						return;
					}else if(tmpParams.Name.length == 0){
						Ext.Msg.alert(TPMS_lang_user_department,TPMS_lang_user_department + TPMS_lang_Msg_validationMsg);
						Ext.getCmp(name+'-save').enable(true);
						return;
					}
					ajax(tmpMethod,tmpParams,id);
				}else if(id == 'memberGroupGridPanel' && type=='create'){
					tmpMethod = 'createMemberGroup';
					tmpParams = {GroupSid : seq };
					tmpParams.Name = Ext.getCmp( name+'-name').getValue().replace(/</g,'&lt;').replace(/>/g,'&gt;');
										
					if(tmpParams.Name.length > Config.subjectTypeMaxLength){
						Ext.Msg.alert(TPMS_lang_user_department,TPMS_lang_Msg_maxLength40);
						Ext.getCmp(name+'-save').enable(true);
						return;
					}else if(tmpParams.Name.length == 0){
						Ext.Msg.alert(TPMS_lang_user_department,TPMS_lang_user_department + TPMS_lang_Msg_validationMsg);
						Ext.getCmp(name+'-save').enable(true);
						return;
					}
					ajax(tmpMethod,tmpParams,id);
				}
			}
		}
	},'-',{
		xtype: 'button',
		iconCls: 'icon-cancel',
		text: TPMS_lang_button_cancel,
		handler: function() {
			updateItemWin.close();
			isLoaded=false;

			if(id == 'memberGroupGridPanel'){
				Ext.getCmp('updateUserGroup-button').enable(true);
				Ext.getCmp('createUserGroup-button').enable(true);
			}
		}
	}]
	});	
	updateItemWin.show(this);

	//////////////////////////////////////////////////////////
	//////												//////
	//////		       기본 데이터 셋팅					//////
	//////												//////
	//////////////////////////////////////////////////////////
	if(id == 'memberGroupGridPanel' && type=='update'){
		var memberGroupRecord = Ext.getCmp('memberGroupGridPanel').selModel.getSelections();
		Ext.getCmp(name+'-name').setValue(memberGroupRecord[0].data['name'].replace(/&gt;/g,'>').replace(/&lt;/g,'<'));
	}
};

//////////////////////////////////////////////////////////
//////												//////
//////		  레이어 팝업 시작 (member)				//////
//////												//////
//////////////////////////////////////////////////////////
var memberPopupWin = function(id,name,seq,type){	
	isLoaded=false;
	var winName = name+'-Win';
	if(Ext.getCmp(winName)){
		Ext.getCmp(winName).close(true);
	}
		
	ajax = function(tmpMethod,tmpParams,id){
		Ext.Ajax.request({
			url : '/service/tpms_proc.php?method='+tmpMethod,
			method: 'POST',
			params : tmpParams ,
			success: function ( result, request ) {

				var r=Ext.decode(result.responseText);
				if(r.success==false){
					Ext.Msg.alert(r.msg_type,r.msg);
				}
		
				updateItemWin.close();
				isLoaded=false;	
				Ext.getCmp('createUser-button').enable(true);
				Ext.getCmp('updateUser-button').enable(true);

				Ext.getCmp(id).getStore().reload({
					scope:this,
					callback:function() {						
						var store=Ext.getCmp(id).getStore().data.items;
						for(var i=0;i<store.length;i++){
							if(store[i].json.sid==seq){
								memberGroupGridPanel.getView().focusRow(i);
								memberGroupGridPanel.getSelectionModel().selectRow(i);
								break;
							}
						}
						memberGroupGridPanel.getStore().reload();
					}
				});
				if(r.msg == 'createImsi'){
					Ext.Msg.alert(TPMS_lang_Search_user,TPMS_lang_user_Msg_temp_imsi); 	
				}else if(r.msg == 'updateImsi'){
					Ext.Msg.alert(TPMS_lang_Search_user,TPMS_lang_user_Msg_temp_imsi_update); 
				}else {
					var userMaxMsg = TPMS_lang_Msg_maxUser.replace("{item}",TPMS_lang_user_formally);
						//userMaxMsg = userMaxMsg.replace("{number}",Config.userMax);
						userMaxMsg = userMaxMsg.replace("{number}",memberResult);

					Ext.Msg.alert(TPMS_lang_Search_user,TPMS_lang_user_Msg_temp_imsi+"<br>("+userMaxMsg+")");  
				}
			},
			failure: function ( result, request ) {
				Ext.Msg.alert(TPMS_lang_MsgFailure); 
			}
		});

	};
	
	
	var tmpParams = {};
	
//============ 글자 입력 제한시 side 경고 알림
	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';
//============

	var centerPanel = {
		region: 'center',
		//id: (id == 'strategyLevelPanel')? 'strategyLevel-center':'strategyItem-center',
		id:'member-center',
		layout: 'form',
		bodyStyle:'padding:20px;',		
		items: [{
			xtype: 'fieldset',
			title: TPMS_lang_Search_user,
			id : 'defaultForm',
			anchor:'95%',
			items:[{
				xtype: 'radiogroup',
				fieldLabel: TPMS_lang_user_userOther,
				id:'memberType',
				name:'memberType',
				//columns: 1,
				vertical:true,
				items: [
					{boxLabel:TPMS_lang_user_formally, name:'imsiChk', inputValue:'1',
					listeners: {
						check: function (checkbox, checked) {
							if( checked ){
								Ext.getCmp(name+'-writer').enable(true);
								Ext.getCmp(name+'-passwd').enable(true);								
								Ext.getCmp(name+'-email').allowBlank = false;
								Ext.getCmp(name+'-passwd').allowBlank = false;
							}
							else{								
								Ext.getCmp(name+'-writer').disable(true);
								Ext.getCmp(name+'-passwd').disable(true);	

								Ext.getCmp(name+'-email').allowBlank = true;
								Ext.getCmp(name+'-passwd').allowBlank = true;
								
								Ext.getCmp(name+'-writer').setValue();
								Ext.getCmp(name+'-passwd').setValue();
							}
						}
					}},
					{boxLabel:TPMS_lang_user_imsi, name:'imsiChk', inputValue:'2',checked:true}
				]
			}]
		},{
			xtype:'textfield',
			fieldLabel: TPMS_lang_user_id,
			id: name+'-writer',
			disabled:true,
			maxLength: Config.subjectTypeMaxLength,
			allowBlank : false,
			vtype : 'alphanum',
			anchor:'95%',
			
			listeners:{
				scope : this,
				blur : function(datefield){
					var userId = Ext.getCmp( name+'-writer').getValue();
					if(type=='create' && userId){//자동으로 중복을 체크해 주자. 값이 있는지를 판단하자.
						Ext.Ajax.request({
							url : '/service/tpms_proc.php?method=member_idOverlap',
							method: 'POST',
							params :{ 
								UserId : userId
							},
							success: function ( result, request ) {
								var overlapSu=Ext.decode(result.responseText);
								if(overlapSu.data[0].cnt > 0){
									//중복 아이디
									Ext.getCmp( name+'-writer').setValue('');
									Ext.getCmp( name+'-writer').focus();
									Ext.Msg.alert(TPMS_lang_UserManagement_title,TPMS_lang_user_Msg_idOverLap);
								}
							},
							failure: function ( result, request ) {
							}
						});
					}else if(type=='update' && userId && Ext.getCmp(name+'-writer').readOnly==false){//수정이면서 임시에서 정식으로 올때만 검사
						Ext.Ajax.request({
							url : '/service/tpms_proc.php?method=member_idOverlap',
							method: 'POST',
							params :{ 
								UserId : userId,
								Seq : seq
							},
							success: function ( result, request ) {
								var overlapSu=Ext.decode(result.responseText);
								if(overlapSu.data[0].cnt > 0){
									Ext.getCmp( name+'-writer').setValue('');
									Ext.getCmp( name+'-writer').focus();
									Ext.Msg.alert(TPMS_lang_UserManagement_title,TPMS_lang_user_Msg_idOverLap);
								}
							},
							failure: function ( result, request ) {
							}
						});
					}
					
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus: function(){enableSelect(true);}
			}
		},{
			xtype:'textfield',
			fieldLabel: TPMS_lang_user_passwd,
			id: name+'-passwd',
			disabled:true,
			maxLength: Config.subjectTypeMaxLength,
			allowBlank : true,
			//inputType: 'password',
			vtype : 'alphanum',
			anchor:'95%',
			
			listeners:{
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus: function(){enableSelect(true);}
			}
		},{
			xtype:'textfield',
			fieldLabel: TPMS_lang_user_email,
			id: name+'-email',
			maxLength: Config.subjectTypeMaxLength,
			allowBlank : true,
			vtype:'email',
			readOnly:(seq=='2')?true:false,
			anchor:'95%',
			
			listeners:{
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus: function(){enableSelect(true);}
			}
		},{
			xtype:'textfield',
			fieldLabel: TPMS_lang_user_nickName,
			id: name+'-nick_name',
			maxLength: Config.subjectTypeMaxLength,
			allowBlank : false,
			//vtype:'commaSpace',
			vtype:'antitag',
			anchor:'95%',
			
			listeners:{
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus: function(){enableSelect(true);}
			}
		},{
			xtype : 'combo',
			id : name+'-department',
			fieldLabel: TPMS_lang_user_department,
			anchor:'95%',
			allowBlank : false,
			store: memberGroupStore,
			mode:'local',
			valueField:'sid',			
			displayField:'name',
			typeAhead     : false,
			editable      : false,
			forceSelection: false,
			selectOnFocus : false,
			value:'1',			
			triggerAction : 'all'
		},{
			xtype:'textarea',
			id: name+'-memo',
			layout:'fit',
			height: 110,
			fieldLabel: TPMS_lang_user_memo,
			allowBlank : true,
			anchor:'95%',
			listeners :{
				scope : this,
				focus : function(){enableSelect(true);},
				blur : function(){enableSelect(false)}
			}
		}]
	};

	var updateItemWin = new Ext.Window({//사용자 등록창
		title: name,		
		id: name+'-Win',
		modal:true,
		width:500,
		height:450,
		border:false,
		layout: 'border',
		resizable: false, //Resize of the Window, if false - it cannot be resized
		closable: false,
		items: [centerPanel],
		tbar:['->', {
		xtype: 'button',
		iconCls: 'icon-save',
		text: TPMS_lang_button_save,
		handler: function(btn) {
			if(updateItemWin){				
				var tmpMethod = '';

				if(id == 'memberGridPanel' && type=='update'){
					tmpMethod = 'updateMember';
					tmpParams = {Seq : seq };
					tmpParams.Writer = Ext.getCmp( name+'-writer').getValue();
					tmpParams.Nick_name = Ext.getCmp( name+'-nick_name').getValue().replace(/</g,'&lt;').replace(/>/g,'&gt;');
					tmpParams.Email = Ext.getCmp( name+'-email').getValue();
					tmpParams.Passwd = Ext.getCmp( name+'-passwd').getValue();
					tmpParams.Department = Ext.getCmp( name+'-department').getValue();
					tmpParams.Memo = my_escape(Ext.getCmp(name+'-memo').getValue());
					
					//검증 걸차.
					if(Ext.getCmp('memberType').items.get(0).getGroupValue() == '1'){
						if(tmpParams.Writer.length > Config.subjectTypeMaxLength){
							Ext.Msg.alert(TPMS_lang_user_id,TPMS_lang_Msg_maxLength40);
							return;
						}else if(tmpParams.Writer.length == 0){
							Ext.Msg.alert(TPMS_lang_user_id,TPMS_lang_user_id + TPMS_lang_Msg_validationMsg);
							return;
						}
						//임시 사용자가 정식계정으로 변경을 하면 패스워드는 필수다.
						memberRecord = Ext.getCmp('memberGridPanel').selModel.getSelections();
						if(memberRecord[0].data['reg_date'] == ""){
							if(tmpParams.Passwd.length > Config.subjectTypeMaxLength){
								Ext.Msg.alert(TPMS_lang_user_Passwd,TPMS_lang_Msg_maxLength40);
								return;
							}else if(tmpParams.Passwd.length == 0){
								Ext.Msg.alert(TPMS_lang_user_passwd,TPMS_lang_user_passwd + TPMS_lang_Msg_validationMsg);
								return;
							}
						}
					}
					if(tmpParams.Nick_name.length > Config.subjectTypeMaxLength){
						Ext.Msg.alert(TPMS_lang_user_nickName,TPMS_lang_Msg_maxLength40);
						return;
					}else if(tmpParams.Nick_name.length == 0){
						Ext.Msg.alert(TPMS_lang_user_nickName,TPMS_lang_user_nickName + TPMS_lang_Msg_validationMsg);
						return;
					}	
					
					if(InputCheckSpecial(tmpParams.Nick_name)){
					}else{
						return;
					}

					if(tmpParams.Department.length > Config.subjectTypeMaxLength){
						Ext.Msg.alert(TPMS_lang_user_department,TPMS_lang_Msg_maxLength40);
						return;
					}else if(tmpParams.Department.length == 0){
						Ext.Msg.alert(TPMS_lang_user_department,TPMS_lang_user_department + TPMS_lang_Msg_validationMsg);
						return;
					}
					if(memberRecord[0].data['reg_date'])
						tmpParams.Writer = '';
				}else if(id == 'memberGridPanel' && type=='create'){
					tmpMethod = 'createMember';
					//여기서 사용자의 id와 이메일을 셋팅해주자.
					tmpParams.Writer = Ext.getCmp( name+'-writer').getValue();
					tmpParams.Nick_name = Ext.getCmp( name+'-nick_name').getValue().replace(/</g,'&lt;').replace(/>/g,'&gt;');
					tmpParams.Email = Ext.getCmp( name+'-email').getValue();
					tmpParams.Passwd = Ext.getCmp( name+'-passwd').getValue();
					tmpParams.Department = Ext.getCmp( name+'-department').getValue();
					tmpParams.Memo = my_escape(Ext.getCmp( name+'-memo').getValue());			
					
	
					//검증 걸차.
					if(Ext.getCmp('memberType').items.get(0).getGroupValue() == '1'){//정식 사용자만 ID,PW를 검색한다.
						if(!Ext.getCmp( name+'-writer').validate()){
							Ext.Msg.alert(TPMS_lang_user_id,TPMS_lang_Msg_License_RequestInfoError);
							return;
						}
						if(!Ext.getCmp( name+'-passwd').validate()){							
							Ext.Msg.alert(TPMS_lang_user_passwd,TPMS_lang_Msg_License_RequestInfoError);
							return;
						}
						
						if(tmpParams.Writer.length > Config.subjectTypeMaxLength){
							Ext.Msg.alert(TPMS_lang_user_id,TPMS_lang_Msg_maxLength40);
							return;
						}else if(tmpParams.Writer.length == 0){
							Ext.Msg.alert(TPMS_lang_user_id,TPMS_lang_user_id + TPMS_lang_Msg_validationMsg);
							return;
						}
						if(tmpParams.Passwd.length > Config.subjectTypeMaxLength){
							Ext.Msg.alert(TPMS_lang_user_Passwd,TPMS_lang_Msg_maxLength40);
							return;
						}else if(tmpParams.Passwd.length == 0){
							Ext.Msg.alert(TPMS_lang_user_passwd,TPMS_lang_user_passwd + TPMS_lang_Msg_validationMsg);
							return;
						}
					}
					if(tmpParams.Nick_name.length > Config.subjectTypeMaxLength){
						Ext.Msg.alert(TPMS_lang_user_nickName,TPMS_lang_Msg_maxLength40);
						return;
					}else if(tmpParams.Nick_name.length == 0){
						Ext.Msg.alert(TPMS_lang_user_nickName,TPMS_lang_user_nickName + TPMS_lang_Msg_validationMsg);
						return;
					}

					if(InputCheckSpecial(tmpParams.Nick_name)){
					}else{
						return;
					}

					if(tmpParams.Department.length > Config.subjectTypeMaxLength){
						Ext.Msg.alert(TPMS_lang_user_department,TPMS_lang_Msg_maxLength40);
						return;
					}else if(tmpParams.Department.length == 0){
						Ext.Msg.alert(TPMS_lang_user_department,TPMS_lang_user_department + TPMS_lang_Msg_validationMsg);
						return;
					}				
				}
				
				//이메일 검증과 닉네임 검증을 진행하자.
				if(!Ext.getCmp( name+'-email').validate() || tmpParams.Email.length==0){
					
					if(Ext.getCmp( name+'-writer').getValue() != 'admin'){
						Ext.Msg.alert(TPMS_lang_user_email,TPMS_lang_Msg_License_RequestInfoError);
						return;
					}
				}

				btn.disable();
				ajax(tmpMethod,tmpParams,id);
			}
		}
	},'-',{
		xtype: 'button',
		iconCls: 'icon-cancel',
		text: TPMS_lang_button_cancel,
		handler: function() {
			updateItemWin.close();
			isLoaded=false;

			if(id == 'memberGridPanel'){
				Ext.getCmp('updateUser-button').enable(true);	
				Ext.getCmp('createUser-button').enable(true);	
			}
		}
	}]
	});	
	updateItemWin.show(this);

	//////////////////////////////////////////////////////////
	//////												//////
	//////		       기본 데이터 셋팅					//////
	//////												//////
	//////////////////////////////////////////////////////////
	if(id == 'memberGridPanel' && type=='update'){
		
		var memberRecord = Ext.getCmp('memberGridPanel').selModel.getSelections();
		
		Ext.getCmp(name+'-nick_name').setValue(memberRecord[0].data['nick_name'].replace(/&gt;/g,'>').replace(/&lt;/g,'<'));
		Ext.getCmp(name+'-email').setValue(memberRecord[0].data['email']);
		//Ext.getCmp(name+'-passwd').setValue(memberRecord[0].data['passwd']);
		Ext.getCmp(name+'-department').setValue(memberRecord[0].data['group_sid']);
		var description = my_unescape(memberRecord[0].data['description']);//.replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/%%/gi,'%').replace(/\\\\/gi,'\\');
		Ext.getCmp(name+'-memo').setValue(description);

		
		var reg_date = memberRecord[0].data['reg_date'];
		if(reg_date){//id:'member-center',rb-auto
			Ext.getCmp(name+'-writer').setValue(memberRecord[0].data['ID']);
			
			Ext.getCmp('memberType').items.get(0).setValue('1');
			Ext.getCmp('memberType').disable(true);
			Ext.getCmp(name+'-writer').setReadOnly(true);		
		}else{
			Ext.getCmp('memberType').items.get(1).setValue('2');
			Ext.getCmp(name+'-writer').setReadOnly(false);
		}
	}
};





var memberGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: false });
var memberGridPanel = new Ext.grid.GridPanel({
	id:'memberGridPanel',	
	store: memberStore,
	border:false,
	sutoScroll: true,
	stripeRows: true,
	enableColumnHide  : false,
	enableColumnResize: true,
	enableColumnMove  : false,
	enableHdMenu: false,
	loadMask: { msg: TPMS_lang_Msg_load },
	view: new Ext.grid.GridView({
		forceFit:true
	}),
	cm : new Ext.grid.ColumnModel([
		memberGridsm,
		{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
		{header: TPMS_lang_user_nickName, dataIndex: 'nick_name', sortable: true, width: 100,renderer:
			function(value, meta, record){//등록일자가 있으면				
				if(record.data.ID!='admin' && record.data.reg_date == ""){
					value = "<span style='color:red;'>"+value+"</span>";
				}
				return value;
			}},
		{header: TPMS_lang_user_department, dataIndex: 'group_name', sortable: true, width: 130},
		{header: TPMS_lang_user_id, dataIndex: 'ID', sortable: true, width: 100},
		{header: TPMS_lang_user_email, dataIndex: 'email', sortable: true, width: 100},//description
		{header: 'etc', dataIndex: 'description', hidden: true}
	]),
	sm: memberGridsm,
	listeners: {
		rowdblclick: function(grid){
			var sel = grid.getSelectionModel().getSelected();
			var memberSeq=sel.data.seq;
			
			Ext.getCmp('updateUser-button').disable(true);
			memberPopupWin('memberGridPanel',TPMS_lang_user,memberSeq,'update');
		}
	}
});

var memberGroupGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: false });
var memberGroupGridPanel = new Ext.grid.GridPanel({
	id:'memberGroupGridPanel',	
	store: memberGroupStore,
	border:false,
	autoScroll: true,
	stripeRows: true,
	enableColumnHide  : false,
	enableColumnResize: true,
	enableColumnMove  : false,
	enableHdMenu: false,
	loadMask: { msg: TPMS_lang_Msg_load },
	view: new Ext.grid.GridView({
		forceFit:true
	}),
	cm : new Ext.grid.ColumnModel([ 
		//memberGroupGridsm,
		{header: 'sid', dataIndex: 'sid', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
		{header: TPMS_lang_user_department, dataIndex: 'name', align:'left', sortable: true, width: 100},
		{header: TPMS_lang_userCount, dataIndex: 'cnt', align:'center', sortable: true, width: 100}
	]),
	sm: memberGroupGridsm,
	listeners: {
		click:function(){
			//egkang
			//alert("click");
			/*
			var list = "";
			var Records = Ext.getCmp('memberGroupGridPanel').selModel.getSelections();

			if(Records.length == 0){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectGetItem);
				Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_selectDataInfrom);
				return;
			}else{

				for(var i=0; i<Records.length; i++){
					list +=Records[i].data['sid'];
					if(i+1<Records.length) list +=",";
				}
				//egkang : 선택한 사용자 저장
				//alert(list);
				memberStore.reload({params:{GroupSid : list,ImsiChk : Ext.getCmp('imsiUser-checkbox').getValue()}});
			}
			*/
		},
		rowclick:function(grid, rowIndex, e) {
			Ext.getCmp('memberText').setValue();
			Ext.getCmp('memberCombo').reset();
					
			var selectGroupItem = grid.selModel.getSelections();
			if(selectGroupItem.length==0) return;
			var selectGroupSid = selectGroupItem[0].data['sid']; 			
			memberStore.reload({params:{GroupSid : selectGroupSid,ImsiChk : Ext.getCmp('imsiUser-checkbox').getValue()}});

			/*
			var list = "";
			var Records = Ext.getCmp('memberGroupGridPanel').selModel.getSelections();

			if(Records.length == 0){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectGetItem);
				Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_selectDataInfrom);
				return;
			}else{

				for(var i=0; i<Records.length; i++){
					list +=Records[i].data['sid'];
					if(i+1<Records.length) list +=",";
				}
				//egkang : 선택한 사용자 저장
				//alert(list);
				memberStore.reload({params:{GroupSid : list,ImsiChk : Ext.getCmp('imsiUser-checkbox').getValue()}});
			}*/

		},
		rowdblclick: function(grid){
			var sel = grid.getSelectionModel().getSelected();
			var memberGroupSid=sel.data.sid;
			
			Ext.getCmp('updateUserGroup-button').disable(true);
			memberGroupPopupWin('memberGroupGridPanel',TPMS_lang_user_department,memberGroupSid,'update');
		}
	}
});



var centerPanel = {//사용자 추가,수정,삭제
	region: 'center',
	id: 'user-centerPanel',
	xtype: 'panel',
	layout: 'fit',
	cmargins: '5 0 5 5',
	margins: '5 0 5 5',
	split: true,
	autoScroll: true,
	border:'1',
	items:[memberGridPanel],
	
	tbar:[MakeItem('','combo','','memberCombo',[
			['nick_name', TPMS_lang_user_nickName],
			['writer', TPMS_lang_user_id]
		],'',50,'','nick_name',TPMS_lang_user_nickName)
	,'',MakeItem('','textfield','','memberText','','',200,
		{
			scope : this,
			'specialkey' : function(f,o){
			   if(o.getKey()==13){
				  	var combo = Ext.getCmp('memberCombo').getValue();
					var text = Ext.getCmp('memberText').getValue();
					var imsiUserCh = Ext.getCmp('imsiUser-checkbox').getValue();
					
					memberGroupStore.reload({params:{ImsiChk:imsiUserCh}});
		
					memberStore.reload({params:{SearchType:combo,SearchText:text,ImsiChk:imsiUserCh}});
				}
			},
			search : function(){
			}
		},'',''
	),''
	,MakeButton('',TPMS_lang_Search,'','','','','',function(btn){
		var combo = Ext.getCmp('memberCombo').getValue();
		var text = Ext.getCmp('memberText').getValue();
		var imsiUserCh = Ext.getCmp('imsiUser-checkbox').getValue();

		memberGroupStore.reload({params:{ImsiChk:imsiUserCh}});
		
		memberStore.reload({params:{SearchType:combo,SearchText:text,ImsiChk:imsiUserCh}});
	}),{
		xtype: 'checkbox',
		id: 'imsiUser-checkbox',
		boxLabel: TPMS_lang_user_imsi+TPMS_lang_Search_user,
		style:'margin-left:20px;',
		handler: function(btn) {
			var memberGroupRecord = Ext.getCmp('memberGroupGridPanel').selModel.getSelections();
			var memberGroupSid = 0;
			if(memberGroupRecord.length == 1){
				memberGroupSid = memberGroupRecord[0].data['sid'];
			}else{
				memberGroupSid = 0;
			}
			
				memberStore.reload({params:{GroupSid:memberGroupSid,ImsiChk : Ext.getCmp('imsiUser-checkbox').getValue()}});
				memberGroupStore.reload({
					params:{memberGroupsid:memberGroupSid,ImsiChk : Ext.getCmp('imsiUser-checkbox').getValue()},
					callback:function() {						
						var store=Ext.getCmp('memberGroupGridPanel').getStore().data.items;
						for(var i=0;i<store.length;i++){
							if(store[i].json.sid==memberGroupSid){
								memberGroupGridPanel.getView().focusRow(i);
								memberGroupGridPanel.getSelectionModel().selectRow(i);
								break;
							}
						}						
					}
				});			
		}
	},'->',{
		xtype: 'button',
		iconCls: 'icon-plus',
		id: 'createUser-button',
		text: TPMS_lang_button_add,
		handler: function(btn) {
			btn.disable();
			memberPopupWin('memberGridPanel',TPMS_lang_user,0,'create');
		}
	},'-',{
		xtype: 'button',
		id: 'updateUser-button',
		iconCls: 'icon-edit',
		text: TPMS_lang_button_update,
		handler: function(btn) {
			var memberRecords = Ext.getCmp('memberGridPanel').selModel.getSelections();
			
			if(memberRecords.length==0){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
				return;
			}else if(memberRecords.length > 1){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
			}else{
				btn.disable();
				memberPopupWin('memberGridPanel',TPMS_lang_user,memberRecords[0].data['seq'],'update');
			}
		}
	},'-',{
		xtype: 'button',
		iconCls: 'icon-minus',
		text: TPMS_lang_button_remove,
		handler: function(btn) {
			if(Ext.getCmp('memberGridPanel')){
				var memberRecords = Ext.getCmp('memberGridPanel').selModel.getSelections();

				//참여자 삭제
				if(memberRecords.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
					return;
				}else{
					
					var domainUserListSeq ="";
					for(var i=0; i<memberRecords.length; i++){
						 domainUserListSeq += memberRecords[i].data['seq']+",";
					}
					

					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							
							memberDelete(domainUserListSeq);
						}else{
							return;
						}
					}); 
				} 
			}
		}
	}]
};
var eastPanel = {
	region: 'east',
	id: 'user-eastPanel',
	collapsible: true,
	split: true,
	autoScroll: true,
	title: TPMS_lang_user_department,
	layout: 'fit',
	width:'200',
	cmargins: '5',
	margins: '5 5 5 0',	
	border: true,	
	items: [memberGroupGridPanel],
	//egkang
	tbar:[{
		xtype: 'button',
		//id:'createUserGroup-button',
		iconCls: 'icon-find',
		text: TPMS_lang_button_allSearch,
		handler: function(btn) {
			//btn.disable();
			//egkang
			var combo = "";//Ext.getCmp('memberCombo').getValue();
			var text = "";//Ext.getCmp('memberText').getValue();
			var imsiUserCh = "";//Ext.getCmp('imsiUser-checkbox').getValue();

			//alert(combo+"/"+text+"/"+imsiUserCh);

			memberGroupStore.reload({params:{ImsiChk:imsiUserCh}});			
			memberStore.reload({params:{SearchType:combo,SearchText:text,ImsiChk:imsiUserCh}});
		}
	}],
	bbar:['->',{
		xtype: 'button',
		id:'createUserGroup-button',
		iconCls: 'icon-plus',
		text: TPMS_lang_button_add,
		handler: function(btn) {
			btn.disable();
			memberGroupPopupWin('memberGroupGridPanel',TPMS_lang_user_department,0,'create');
		}
	},'-',{
		xtype: 'button',
		id: 'updateUserGroup-button',
		iconCls: 'icon-edit',
		text: TPMS_lang_button_update,
		handler: function(btn) {
			
			var memberGroupRecords = Ext.getCmp('memberGroupGridPanel').selModel.getSelections();
			
			if(memberGroupRecords.length==0){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
				return;
			}else if(memberGroupRecords.length > 1){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
			}else{
				btn.disable();
				memberGroupPopupWin('memberGroupGridPanel',TPMS_lang_user_department,memberGroupRecords[0].data['sid'],'update');
			}
			
		}
	},'-',{
		xtype: 'button',
		iconCls: 'icon-minus',
		text: TPMS_lang_button_remove,
		handler: function() {
			if(Ext.getCmp('memberGroupGridPanel')){
				var list = new Array();
				var memberGroupRecords = Ext.getCmp('memberGroupGridPanel').selModel.getSelections();
				
				//업무그룹 삭제
				if(memberGroupRecords.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
					return;
				}else{
					var memberGroupListSeq ="";
					for(var i=0; i<memberGroupRecords.length; i++){
						 memberGroupListSeq += memberGroupRecords[i].data['sid']+",";
					}

					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							memberGroupDelete(memberGroupListSeq);
						}else{
							return;
						}
					}); 
				} 
			}
		}
	}]
};



Ext.onReady(function(){
	var viewport = new Ext.Viewport({
		layout: 'border',
		id: 'index',
						
		renderTo: Ext.getBody(),
		items: [
			centerPanel
			,eastPanel
		]
	});
});
